sinfo (0.0.48-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Giovanni Mascellani ]
  * Remove dependency on libboost-signals-dev, which was removed. (Closes:
    #955579)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jun 2020 23:29:50 +0200

sinfo (0.0.48-2) unstable; urgency=medium

  * [38b4d44] pt_BR debconf template translation (Closes: #844667)
  * [79ab57b] Enable all hardening compiler flags
  * [66d4eb1] Update to Debian Policy version 4.2.1 (no changes needed)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 02 Dec 2018 16:15:05 +0100

sinfo (0.0.48-1) unstable; urgency=medium

  * [129c739] Imported Upstream version 0.0.48
  * [0099afd] Update standards version to 3.9.8 (no changes)
  * [62153b7] Fix boost library detection for multiarch
  * [39600f2] Remove patch to not link with -mt suffix, applied upstream
  * [35a6251] Refresh patches
  * [8bd5a1d] Force compilation with std=gnu++98 for GCC 6 (Closes: #811814)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 01 Jul 2016 14:16:24 +0200

sinfo (0.0.47-4) unstable; urgency=medium

  * [679c398] Add systemd service definition
  * [bd5d5e6] Add Dutch debconf template translation.
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #766669)
  * [62f24b8] Add 0003-Run-sshallsinfo-with-bin-bash.patch.
    Thanks to Raphael Geissert <atomo64@gmail.com> (Closes: #772366)
  * [950f3ac] Rename sinfo to sinfo-client (Closes: 768112)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Tue, 18 Aug 2015 19:27:59 +0200

sinfo (0.0.47-3) unstable; urgency=medium

  * [d0de364] Restore conflict against slurm-llnl for partial upgrades

 -- Gaudenz Steinlin <gaudenz@debian.org>  Mon, 13 Oct 2014 09:41:22 +0200

sinfo (0.0.47-2) unstable; urgency=medium

  [ Mario Lang ]
  * [fdf7aa6] Fix Vcs-Git URL in debian/control.

  [ Gaudenz Steinlin ]
  * [a20deb4] Update conflict with slurm-llnl to slurm-client (Closes: #764441)
  * [291c5cf] Move hompage control field to source package section
  * [9b7a5ce] Add debian/watch file
  * [5adcd88] Update standards version to 3.9.6.0 (no changes)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 11 Oct 2014 23:52:11 +0200

sinfo (0.0.47-1) unstable; urgency=medium

  * [f1f092f] Imported Upstream version 0.0.47
  * [5d9b9f7] Add patch "Don't link with -mt suffix"
    Thanks to Hideki Yamane <henrich@debian.org> (Closes: #720818)
  * [1d4a686] Build depend on libboost-system-dev instead of libasio-dev
  * [f6b2e6f] Source lsb init-functions in init script
  * [d941b7e] Update Standards-Version to 3.9.5.0

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 26 Dec 2013 17:25:36 +0100

sinfo (0.0.46-2) unstable; urgency=low

  * [4d938bb] Remove .la files on all architectures

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 30 Jun 2012 13:58:57 +0200

sinfo (0.0.46-1) unstable; urgency=low

  * [1ded3a2] Change order of libs to fix FTBS with --as-needed.
    Thanks to Ilya Barygin for the patch. (Closes: #638598)
  * [1d8fad4] Imported Upstream version 0.0.46
  * [7b82716] Convert to dpkg v3 source format
  * [1add553] Update Debian policy version (no changes)
  * [eeb01de] Convert debian/rules to dh command sequencer
  * [82f10ef] Remove no longer needed FTBS fix for GCC 4.4

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 29 Jun 2012 17:05:40 +0200

sinfo (0.0.42-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Work around build failure with GCC 4.7. Closes: #667374.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 20:24:14 +0200

sinfo (0.0.42-1) unstable; urgency=low

  * [d36ccf5] Imported Upstream version 0.0.42
    - Fixes GCC 4.5 FTBFS (Closes: #565059)
  * [b9a2a0c] Remove .la files (Closes: #633234)
  * [49a7459] Correct spelling of maintainer name
  * [c50ea98] Update Standards-Version to 3.9.2.0
  * [ccfac73] Add build-arch and build-indep targets

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 22 Jul 2011 18:54:07 +0200

sinfo (0.0.33-5) unstable; urgency=low

  * Incorporate and Acknowledge NMUs done by Kumar Appaiah and
    Christian Perrier. I fucked this up in the last upload :-(
  * [4d93478] Remove changelog.save left over from NMU
  * [5ac5289] Revert my FTBFS fix in favor of the fix already in
    testing.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 27 Nov 2010 15:29:38 +0100

sinfo (0.0.33-4) unstable; urgency=low

  * [543fe14] Add Vietnamese debconf templates translation (Closes:
    #576022) - thanks to Clytie Siddall
  * [802ae35] Add Danish debconf templates translation (Closes: #603211)
    - thanks to Joe Dalton
  * [9f104bb] Fix building with gcc-4.4

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 27 Nov 2010 11:52:47 +0100

sinfo (0.0.33-3.2) unstable; urgency=low

  * Non-maintainer upload
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #552377
  * Add debconf translations:
    - Finnish (Esko Arajärvi)
    - Romanian (Ionel Mugurel Ciobîcă)
    - Russian (Yuri Kozlov), closes: #552447, #556192
    - Swedish (Marten Ågren), closes: #554018, #556582
    - Portuguese (Américo Monteiro), closes: #554105
    - Basque (Piarres Beobide), closes: #554535
    - German (Helge Kreutzmann), closes: #554812
    - Japanese (Hideki Yamane), closes: #554835
    - Czech (Michal Simunek), closes: #554956
    - Galician (Marce Villarino), closes: #554996
    - Spanish (Francisco Javier Cuadrado), closes: #556037
    - Italian (Vincenzo Campanella), closes: #556044
    - French (Jean-Baka Domelevo Entfellner), closes: #556446
    - Swedish (Martin Bagge).  Closes: #556582

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2010 08:15:42 +0100

sinfo (0.0.33-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4 with Martin Michlmayr's patch.
    (Closes: #549674)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Dec 2009 11:27:26 -0600

sinfo (0.0.33-3) unstable; urgency=low

  * Add myself as an uploader
  * Remove unnecessary initrscipt dependency on ssh (Closes: #548737)
  * Change default broadcast address to upstream default

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 05 Nov 2009 17:34:30 +0100

sinfo (0.0.33-2) unstable; urgency=low

  * Upload to Debian main (Closes: #547350)
  * Add missing build dependencies
  * Improve package description
  * Link against libboost-signals instead of libboost-signals-mt
  * Make debconf templates translateable
  * Add missing information to debian/copyright
  * Change cgi debconf question from critical to high
  * Improve debconf template text
  * Add ${misc:Depends} to sinfo binary package
  * Increase debhelper compat level to 7 (no changes)
  * Remove unneeded manual init script handling
  * Remove --quiet option from sinfo.init
  * Add versioned dependency on debhelper
  * Correct purging and deinstall CGI link
  * remove unneeded dh_* commands
  * Remove shlibs file. This is not a shared library.
  * Conflict with slurm-llnl which also contains /usr/bin/sinfo
  * Replace dh_clean -k by dh_prep
  * Simplify debian/rules install target
  * Install addons as examples under /usr/share/doc/sinfo
  * Register HTML documentation with doc-base

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 26 Sep 2009 15:00:54 +0200

sinfo (0.0.33-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Fri, 12 Dec 2008 06:53:02 +0100

sinfo (0.0.32-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Sun, 26 Oct 2008 11:35:45 +0100

sinfo (0.0.31-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Tue, 02 Sep 2008 18:49:41 +0200

sinfo (0.0.30-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Sat, 30 Aug 2008 20:02:57 +0200

sinfo (0.0.29-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Thu, 07 Aug 2008 12:31:40 +0200

sinfo (0.0.28-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Thu, 07 Aug 2008 00:41:23 +0200

sinfo (0.0.27-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Wed, 06 Aug 2008 17:28:13 +0200

sinfo (0.0.26-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Wed, 25 Jun 2008 08:33:15 +0200

sinfo (0.0.25-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Tue, 03 Jun 2008 20:02:15 +0200

sinfo (0.0.24-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Sun, 15 Jul 2007 00:24:17 +0200

sinfo (0.0.23-1) unstable; urgency=low

  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Sat, 17 Feb 2007 12:44:44 +0100

sinfo (0.0.22-1) unstable; urgency=low

  * new release

 -- juergen <jrinas@gmx.de>  Tue, 31 Oct 2006 20:29:45 +0100

sinfo (0.0.21-1) unstable; urgency=low

  * new release

 -- juergen <jrinas@gmx.de>  Sun,  8 Oct 2006 09:48:58 +0200

sinfo (0.0.20-2) unstable; urgency=low

  * tnx to some debian hints by T.Koschnick:
  * added libncurses5-dev to Build-Depends
  * added debconf to Depends of sinfo
  * achanged debconf dependency back to 4 (for sarge users)

 -- juergen <jrinas@gmx.de>  Sun, 18 Jun 2006 12:36:53 +0200

sinfo (0.0.20-1) unstable; urgency=low

  * changed sinfo start/stop to rc2.d/S80sinfo
    rc0,6.d/K10sinfo
    (purge and install newly, since I don't force this change)
  * switched to debhelper 5
  * split up debian and source changelogs
  * new release

 -- Juergen Rinas <jrinas@gmx.de>  Wed,  1 Mar 2006 17:09:38 +0100

sinfo (0.0.19) unstable; urgency=low

  * fixed FreeBSD 5.3 compilation, tnx S.Buys
  * added --help option to sindo and sinfod

 -- Juergen Rinas <jrinas@gmx.de>  Tue,  4 Jan 2005 19:22:05 +0100

sinfo (0.0.18) unstable; urgency=low

  * debian package: added a RUN_SINFO option in /etc/default/sinfo
    respectively /etc/init.d/sinfo (suggestion by M.Feuersaenger)
  * Removed scripts sinfodrestartall sshallrup etc. from /sbin.
  * install sshallsinfo in /bin and add a small manpage

 -- Juergen Rinas <jrinas@gmx.de>  Sun, 12 Dec 2004 22:54:43 +0100

sinfo (0.0.17) unstable; urgency=low

  * changes to ensure 32, 64 bit compatibility, avoid long in exchange
    structs and use int or float
    sorry, but this makes the broadcasting incompatible again
    restart your demons
  * changed struct users.number from long to int
  * changed struct cpustat from long to float (percentage for user,
    nice, idle, ...)
  * changed struct uptime from long to two ints for days and seconds

 -- Juergen Rinas <jrinas@gmx.de>  Thu,  9 Dec 2004 14:13:04 +0100

sinfo (0.0.16) unstable; urgency=low

  * added a PPC970 patch to get the right CPU speed from F.Thomas
  * added option -Ls so that the sinfo displays optionally the number of
    CPUs and their speed beside the hostnames and the system_load. This
    is made to be used by people using sinfo for rudimentary load-
    balancing. Remark: you can suppress the headlines (normally going to
    stderr) of this function by the command sinfo -qLs.
  * changed fscanf format string in cpuinfo.cc to hopefully work with
    some dual AMD Opterons
  * Added information for the linux 2.6er states iowait + (soft/hard)irq
    and broadcast them. The changes the format of the UDP packets, so
    restart all your demons.

 -- Juergen Rinas <jrinas@gmx.de>  Mon, 29 Nov 2004 11:43:21 +0100

sinfo (0.0.15) unstable; urgency=low

  * added a monitor for disk activity (linux 2.4.x only)
  * in deb package;changed /etc/init.d/sinfo configuration to
    file /etc/default/sinfo
  * corrected swap and ram in html output

 -- Juergen Rinas <jrinas@gmx.de>  Tue,  8 Jun 2004 07:42:30 +0200

sinfo (0.0.14) unstable; urgency=low

  * added output of the number of CPUs

 -- Juergen Rinas <jrinas@gmx.de>  Thu, 27 Nov 2003 19:23:27 +0100

sinfo (0.0.13-1) unstable; urgency=low

  * updated to debian Standards-Version: 3.6.0

 -- Juergen Rinas <jrinas@gmx.de>  Sun, 10 Aug 2003 19:20:21 +0200

sinfo (0.0.13) unstable; urgency=low

  * changed bar length from linear to logarithmic scaling based on the
    minimum and maximum processor speeds
    use 'c' to toggle between "log", "lin" and "full".
    (I've added this function because of the big speed differences 
    in our local pc pool.)
  * increased the buffer size for reading /proc/net/dev
  * updated man-page

 -- Juergen Rinas <jrinas@gmx.de>  Mon,  4 Aug 2003 18:04:47 +0200

sinfo (0.0.12) unstable; urgency=low

  * some adaptations for the FreeBSD 5.x series:
    the layout of struct kinfo_proc changed from FreeBSD 4 to 5

 -- Juergen Rinas <jrinas@gmx.de>  Tue, 13 May 2003 21:38:40 +0200

sinfo (0.0.11) unstable; urgency=low

  * some fixes for gcc-3.2 on FreeBSD

 -- Juergen Rinas <jrinas@gmx.de>  Mon, 31 Mar 2003 23:09:29 +0200

sinfo (0.0.10) unstable; urgency=low

  * enable-SIMPLE_USER_CACHE for debian binaries
  * renamed sinfod.1 to sinfod.8
  * changed interface to get memory informations (linux system)
  * Added a broadcast-only mode to sinfod. This may be useful, if you
    have some slave/server computers where nobody works interactively.
    This is a very robust mode because much functionality of sinfod is
    deactivated (collection of UDP packets, server for connection of
    sinfo). You may activate this with "--spymode". I've selected this
    name to remind you not to uses this mode on computers that are used
    interactively - probably your users will not like it.
  * support for really big memories and swap space => changed broadcast
    format
  * changed default nice value of sinfod from 15 to 10
  * changed rsh to ssh in sinfodrestartall

 -- Juergen Rinas <jrinas@gmx.de>  Sat, 23 Nov 2002 19:12:01 +0100

sinfo (0.0.9) unstable; urgency=low

  * first debianized release
  * removed rshall and rshallrup scripts because rsh normally is a
    symbolic link to ssh on debian systems
  * added long options for gnu/linux and FreeBSD
  * added an option for --quiet startup of sinfod
  * displaying IP number of a host in the case that there is no name
  * some adjustments for gcc 3.2
  * added a -B --bindaddress option to the sinfod to send UDP packets
    with a fixed IP address. (useful on systems with many network
    interfaces)
  * added a small (fork, watchpid) watchdog that restarts the sinfod if
    something goes wrong.
    This can be activated at compile time with --enable-WATCHDOG
    I've added this because some months ago there was a problem with the
    LDAP library that made some programs (sinfod) to crash in the case
    of LDAP-server failures.
  * added --accessaddress, --accessnetmask and --accesslocalhost to
    restrict the access to the sinfod
  * fixed process percentage calculation on solaris
  * changed memory variables from long to unsigned long so that a
    maximum of 4GB can be represented (only tested on linux)

 -- Juergen Rinas <jrinas@gmx.de>  Thu,  7 Nov 2002 20:25:16 +0100

sinfo (0.0.8) unstable; urgency=low

  * add a timeout within select() to reduce the system load of 
    "konsole" when displaying sinfo's ncurses output.
  * do not install the sample cgi-script  
    but keep it in ./cgi
  * increased value:  drop hosts from being displayed if they were
    not heard for 25 seconds (was: 10 seconds)  
  * fixed some possible security holes using found by 
    the code inspection tool "flawfinder" 
    http://www.dwheeler.com/flawfinder/
  * added broadcasting of the name of the network interface
    => broadcasted struct changed
      => you have to restart all demons if you update
  * fixed query of two separate networks with one "sinfo"
  * security fix for the cgi-script:
    "it was possible to start programs as cgi-user nobody"!
    ... see the cgi-script for details

 -- Juergen Rinas <jrinas@gmx.de>  Fri, 28 Dec 2001 23:33:11 +0200

sinfo (0.0.7) unstable; urgency=low

  * minor bugs fix:
    sinfo segfaults if there isn't an "export HOSTNAME"
  * added HTML-output and a sample perl-cgi-script to read
    sinfo's informations over the web.

 -- Juergen Rinas <jrinas@gmx.de>  Mon, 17 Dec 2001 23:33:11 +0200

sinfo (0.0.6) unstable; urgency=low

  * added a parameter to set the nice value of the demon.
  * added a simple cache for lookups of the names belonging to the
    UIDs in lib/procinfo.cc
    ... activate with:  ./configure --enable-SIMPLE_USER_CACHE

 -- Juergen Rinas <jrinas@gmx.de>  Nov, 12 Mon 2001 23:33:11 +0200

sinfo (0.0.5) unstable; urgency=low

  * minor bugs fixed that prevented static linkage of sinfo...
    (you can produce a static version of sinfo if
     you "export CXXFLAGS=-static" before ./configure )
  * minor bug fix for RedHat 7.1 (and other systems?)    
      added #include <string.h> in cpuinfo.cc
      tnx "Eric Gravelle" <egravelle@epalscorp.com>,
          "Alan Wilter Sousa da Silva" <alan@biof.ufrj.br>
  * done a port to FreeBSD ( we got a new server at work :-) )
  * changed format of the broadcast scheme... now: less overhead
    (incompatible with older versions of sinfo!)
  * broadcasting is done in a smarter way:
    * If the CPU-Usage doesn't change (variation less 3%).... 
      the broadcasting frequency will be decreased 
      down to 6 Bcast per minute.  
    * If the CPU-Usage changes dramatically 
      (variation greater than 30%)  
      the TOP5 process list will be broadcasted right away.

 -- Juergen Rinas <jrinas@gmx.de>  Tue, 20 Oct 2001 23:33:11 +0200

sinfo (0.0.4) unstable; urgency=low

  * Upper status line excluded from scrolling.
  * Connection scheme from sinfo to sinfod changed.
    A TCP connection will be kept for all transmissions.
  * Sinfo can use connections to multiple sinfods and join the
    data.
    This may be useful if you want to monitor two different 
    networks with only one sinfo.
    i.e.: sinfo -h host_on.first.computer.net -h host_on.second.computer.net

 -- Juergen Rinas <jrinas@gmx.de>  Sun, 26 Aug 2001 23:33:11 +0200

sinfo (0.0.3) unstable; urgency=low

  * all internal errors of the information gathering functions
    getCpuinfo, getNetload, ...
    result in a "false" return value... 
    no more exit(1)s there! 
  * SIGPIPE ignored to make the demon more robust!
  * System info: RAM and Swap - Space added

 -- Juergen Rinas <jrinas@gmx.de>  Sat, 18 Aug 2001 23:33:11 +0200

sinfo (0.0.2) unstable; urgency=low

  * broadcast format changed.... 
    => update on all workstations necessary
  * solaris port:
      broadcast cpu-usage
  * sinfo: highlight local workstation
  * sinfo: all hostnames sorted alphabetically
  * direct setting of the -h IP-address added
  * broadcast CPU-Information
  * scale bargraphs according to cpu-power
  * first installation on our research cluster for
    all users under /usr/local!

 -- Juergen Rinas <jrinas@gmx.de>  Sat, 18 Aug 2001 23:33:11 +0200

sinfo (0.0.1) unstable; urgency=low

  * first local installation

 -- Juergen Rinas <jrinas@gmx.de>  Sat, 18 Aug 2001 23:33:11 +0200

